Net::LDAP::Control::ProxyAuth(3)

NAME
Net::LDAP::Control::ProxyAuth - LDAPv3 Proxy Authentication control object

SYNOPSIS
 use Net::LDAP;
 use Net::LDAP::Control::ProxyAuth;

 $ldap = Net::LDAP->new( "ldap.mydomain.eg" );

 $auth = Net::LDAP::Control::ProxyAuth->new( proxyDN => 'cn=me,ou=people,o=myorg.com' );

 @args = ( base     => "cn=subnets,cn=sites,cn=configuration,$BASE_DN",
           scope    => "subtree",
           filter   => "(objectClass=subnet)",
           callback => \&process_entry, # Call this sub for each entry
           control  => [ $auth ],
 );

 while(1) {
   # Perform search
   my $mesg = $ldap->search( @args );

   # Only continue on LDAP_SUCCESS
   $mesg->code and last;

 }

DESCRIPTION
"Net::LDAP::Control::ProxyAuth" provides an interface for the creation and manipulation of objects that represent the "proxyauthorisationControl" as described by draft-weltman-ldapv3-proxy-05.txt.

CONSTRUCTOR ARGUMENTS
In addition to the constructor arguments described in Net::LDAP::Control the following are provided.

proxyDN
    The proxyDN that is required. This is the identity we are requesting operations to use

METHODS
As with Net::LDAP::Control each constructor argument described above is also available as a method on the object which will return the current value for the attribute if called without an argument, and set a new value for the attribute if called with an argument.

SEE ALSO
Net::LDAP, Net::LDAP::Control,

AUTHOR
Olivier Dubois, Swift sa/nv based on Net::LDAP::Control::Page from Graham Barr <gbarr@pobox.com>

Please report any bugs, or post any suggestions, to the perl-ldap mailing list <perl-ldap@perl.org>

COPYRIGHT
Copyright (c) 2001-2004 Graham Barr. All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.